Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Interface URLRegistryEntry

All Superinterfaces:
  RegistryEntry

All Known Implementing Classes:
  JDKRegistryEntry

    public interface URLRegistryEntry

extends RegistryEntry

This type of Image tag registy entry is used for 'odd' URL types. Ussually this means that the URL uses a non-standard protocol. In these cases you should be aware that in order for the construction of the URL object to succeed you must register a @see URLStreamHandler using one of the methods listed in

See Also:
  `URL.URL(java.lang.String, java.lang.String, int, java.lang.String)`

Method Summary
`Filter` | `handleURL(ParsedURL url, boolean needRawData)` Decode the URL into a RenderableImage, here you should feel free to open the URL yourself.
`boolean` | `isCompatibleURL(ParsedURL url)` Check if the URL references an image that can be handled by this format handler.

Methods inherited from interface org.apache.batik.ext.awt.image.spi.RegistryEntry
`getFormatName, getMimeTypes, getPriority, getStandardExtensions`

Method Detail

### isCompatibleURL

    boolean isCompatibleURL(ParsedURL url)

  Check if the URL references an image that can be handled by this format handler. Generally speaking this should not open the URL. The decision should be based on the structure of the URL (such as the protocol in use).

  If you don't care about the structure of the URL and only about the contents of the URL you should register as a StreamRegistryEntry, so the URL "connection" will be made only once.

  Parameters:
    `url` - The URL to inspect.

### handleURL

    Filter handleURL(ParsedURL url,
                     boolean needRawData)

  Decode the URL into a RenderableImage, here you should feel free to open the URL yourself.

  This should only return a broken link image if the image is clearly of this format, but is unreadable for some reason. otherwise return null.

  If all entries refuse the url or return null then the registry will automatically return a broken link image for you.

  Parameters:
    `url` - The url that reference the image.
    `needRawData` - If true the image returned should not have any default color correction the file may specify applied.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.